Loading...
Searching...
No Matches
ETEConfig Class Reference
OpenCSD Library : Trace Source Protocol Configuration.

Interpreter class for ETE config structure. More...

`#include <trc_cmp_cfg_ete.h>`

Inheritance diagram for ETEConfig:
[legend]
Collaboration diagram for ETEConfig:
[legend]

## Public Member Functions

| ETEConfig ()
| ETEConfig (const ocsd_ete_cfg *cfg_regs)
| ~ETEConfig ()
ETEConfig & | operator= (const ocsd_ete_cfg *p_cfg)
| copy assignment operator for base structure into class.
| operator const ocsd_ete_cfg & () const
| cast operator returning struct const reference
| operator const ocsd_ete_cfg * () const
| cast operator returning struct const pointer
Public Member Functions inherited from EtmV4Config
| EtmV4Config ()
| EtmV4Config (const ocsd_etmv4_cfg *cfg_regs)
| ~EtmV4Config ()
EtmV4Config & | operator= (const ocsd_etmv4_cfg *p_cfg)
| copy assignment operator for base structure into class.
| operator const ocsd_etmv4_cfg & () const
| cast operator returning struct const reference
| operator const ocsd_etmv4_cfg * () const
| cast operator returning struct const pointer
const ocsd_core_profile_t & | coreProfile () const
const ocsd_arch_version_t & | archVersion () const
const bool | LSasInstP0 () const
const bool | hasDataTrace () const
const bool | hasBranchBroadcast () const
const bool | hasCondTrace () const
const bool | hasCycleCountI () const
const bool | hasRetStack () const
const uint8_t | numEvents () const
const bool | eteHasTSMarker () const
const condType | hasCondType () const
const QSuppType | getQSuppType ()
const bool | hasQElem ()
const bool | hasQFilter ()
const bool | hasTrcExcpData () const
const uint32_t | TimeStampSize () const
const bool | commitOpt1 () const
const bool | commTransP0 () const
const uint8_t | MajVersion () const
const uint8_t | MinVersion () const
const uint8_t | FullVersion () const
const uint32_t | iaSizeMax () const
const uint32_t | cidSize () const
const uint32_t | vmidSize ()
const uint32_t | daSize () const
const uint32_t | dvSize () const
const uint32_t | ccSize () const
const bool | vmidOpt () const
const bool | wfiwfeBranch () const
const uint32_t | MaxSpecDepth () const
const uint32_t | P0_Key_Max () const
const uint32_t | P1_Key_Max () const
const uint32_t | P1_Spcl_Key_Max () const
const uint32_t | CondKeyMax () const
const uint32_t | CondSpecKeyMax () const
const uint32_t | CondKeyMaxIncr () const
virtual const uint8_t | getTraceID () const
| CoreSight Trace ID for this device.
const bool | enabledDVTrace () const
const bool | enabledDATrace () const
const bool | enabledDataTrace () const
const bool | enabledLSP0Trace () const
const LSP0_t | LSP0Type () const
const bool | enabledBrBroad () const
const bool | enabledCCI () const
const bool | enabledCID () const
const bool | enabledVMID () const
const bool | enabledVMIDOpt () const
const CondITrace_t | enabledCondITrace ()
const bool | enabledTS () const
const bool | enabledRetStack () const
const bool | enabledQE () const
Public Member Functions inherited from CSConfig
| CSConfig ()
virtual | ~CSConfig ()

## Additional Inherited Members

Public Types inherited from EtmV4Config
enum | _condType { COND_PASS_FAIL , COND_HAS_ASPR }
enum | _QSuppType { Q_NONE , Q_ICOUNT_ONLY , Q_NO_ICOUNT_ONLY , Q_FULL }
enum | LSP0_t { LSP0_NONE , LSP0_L , LSP0_S , LSP0_LS }
enum | CondITrace_t { COND_TR_DIS , COND_TR_LD , COND_TR_ST , COND_TR_LDST , COND_TR_ALL }
typedef enum EtmV4Config::_condType | condType
typedef enum EtmV4Config::_QSuppType | QSuppType
Protected Attributes inherited from EtmV4Config
ocsd_etmv4_cfg | m_cfg
uint8_t | m_MajVer
uint8_t | m_MinVer

## Detailed Description

Interpreter class for ETE config structure.

ETE trace and config are a superset of ETMv4 trace and config - hence use the EtmV4Config class as a base.

Definition at line 54 of file trc_cmp_cfg_ete.h.

## Constructor & Destructor Documentation

## ETEConfig() [1/2]

ETEConfig::ETEConfig | ( |  | ) |

## ETEConfig() [2/2]

ETEConfig::ETEConfig | ( | const ocsd_ete_cfg * | cfg_regs | ) |

## ~ETEConfig()

ETEConfig::~ETEConfig | ( |  | ) |

## Member Function Documentation

## operator const ocsd_ete_cfg &()

ETEConfig::operator const ocsd_ete_cfg & | ( |  | ) | const

inline

cast operator returning struct const reference

Definition at line 65 of file trc_cmp_cfg_ete.h.

## operator const ocsd_ete_cfg *()

ETEConfig::operator const ocsd_ete_cfg * | ( |  | ) | const

inline

cast operator returning struct const pointer

Definition at line 67 of file trc_cmp_cfg_ete.h.

## operator=()

ETEConfig & ETEConfig::operator= | ( | const ocsd_ete_cfg * | p_cfg | ) |

copy assignment operator for base structure into class.

The documentation for this class was generated from the following file:

- /build/libopencsd-8WV101/libopencsd-1.5.5/decoder/include/opencsd/ete/trc_cmp_cfg_ete.h